##
##  fontface.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         fontface
Summary:      Font Preparation for Web
URL:          http://engelschall.com/
Vendor:       Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      GPL
Version:      20191231
Release:      20191231

#   list of sources
Source0:      fontface.pl
Source1:      fontface.pod
Source2:      fontface.js
Source3:      fontface.html
Source4:      dot.htaccess

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  perl
PreReq:       perl, perl-sys
PreReq:       fontforge, font-optimizer, ttf2eot, ttfautohint, gzip, woff

%description
    This is Ralf S. Engelschall's toolkit for preparation of OTF/TTF
    fonts for use on the Web with the CSS "@font-face" feature. The
    toolkit converts OTF/TFF fonts onto the various formats required for
    the various major browsers and generates an appropriate CSS ruleset
    for including the generated font files.

%track

%prep
    %setup -q -T -c

%build
    pod2man %{SOURCE fontface.pod} >fontface.1

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/fontface
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE fontface.pl} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/fontface
    %{l_shtool} install -c -m 755 \
        fontface.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE fontface.js} \
        %{SOURCE dot.htaccess} \
        %{SOURCE fontface.html} \
        $RPM_BUILD_ROOT%{l_prefix}/share/fontface/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

